Webhooks
Subscribes to change events for the absence groups collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Note
When an absence group is saved in myProtime, all absence groups are saved, even if there are no changes. This will result in webhook events for all absence groups.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Request properties
This list of properties can be sent in the request body.
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (absence-groups). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the absence group. |
name.default |
string | — | Read-only | Default name value of the absence group. |
name.translations |
object | — | Read-only | A list of translated names of the absence group by language code. |
type |
string | — | Read-only | The type of the absence group (Absence, WorkingElsewhere). |
External references
This endpoint does not support external references for absence groups.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
Creating a webhook for absence groups
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/absence-groups",
"collectionName": "absence-groups"
}